Skip to main content

Uc External Lineage

View as Markdown

Create External Lineage Relationship Public Preview

POST /api/2.0/lineage-tracking/external-lineage

Creates an external lineage relationship between a <Databricks> or external metadata object and another external metadata object.

API scopes: unity-catalog

Request body

external_lineage_relationshipobject
Show child attributesHide child attributes
idstring

Unique identifier of the external lineage relationship.

Example: 12345678-abcd-4ef5-9012-3456789abcdf

sourceobject

Source object of the external lineage relationship.

Show child attributesHide child attributes
tableobjectRequired
Show child attributesHide child attributes
namestring
pathobjectRequired
Show child attributesHide child attributes
urlstring
model_versionobjectRequired
Show child attributesHide child attributes
namestring
versionstring
external_metadataobjectRequired
Show child attributesHide child attributes
namestring
targetobject

Target object of the external lineage relationship.

Show child attributesHide child attributes
tableobjectRequired
Show child attributesHide child attributes
namestring
pathobjectRequired
Show child attributesHide child attributes
urlstring
model_versionobjectRequired
Show child attributesHide child attributes
namestring
versionstring
external_metadataobjectRequired
Show child attributesHide child attributes
namestring
columnsarray of object

List of column relationships between source and target objects.

Show child attributesHide child attributes
sourcestring
targetstring
propertiesobject

Key-value properties associated with the external lineage relationship.

Response

idstring

Unique identifier of the external lineage relationship.

Example: 12345678-abcd-4ef5-9012-3456789abcdf

sourceobject

Source object of the external lineage relationship.

Show child attributesHide child attributes
tableobjectRequired
Show child attributesHide child attributes
namestring
pathobjectRequired
Show child attributesHide child attributes
urlstring
model_versionobjectRequired
Show child attributesHide child attributes
namestring
versionstring
external_metadataobjectRequired
Show child attributesHide child attributes
namestring
targetobject

Target object of the external lineage relationship.

Show child attributesHide child attributes
tableobjectRequired
Show child attributesHide child attributes
namestring
pathobjectRequired
Show child attributesHide child attributes
urlstring
model_versionobjectRequired
Show child attributesHide child attributes
namestring
versionstring
external_metadataobjectRequired
Show child attributesHide child attributes
namestring
columnsarray of object

List of column relationships between source and target objects.

Show child attributesHide child attributes
sourcestring
targetstring
propertiesobject

Key-value properties associated with the external lineage relationship.

Delete External Lineage Relationship Public Preview

DELETE /api/2.0/lineage-tracking/external-lineage

Deletes an external lineage relationship between a <Databricks> or external metadata object and another external metadata object.

API scopes: unity-catalog

Parameters

external_lineage_relationshipobjectquery
Show child attributesHide child attributes
idstring

Unique identifier of the external lineage relationship.

Example: 12345678-abcd-4ef5-9012-3456789abcdf

sourceobject

Source object of the external lineage relationship.

Show child attributesHide child attributes
tableobjectRequired
Show child attributesHide child attributes
namestring
pathobjectRequired
Show child attributesHide child attributes
urlstring
model_versionobjectRequired
Show child attributesHide child attributes
namestring
versionstring
external_metadataobjectRequired
Show child attributesHide child attributes
namestring
targetobject

Target object of the external lineage relationship.

Show child attributesHide child attributes
tableobjectRequired
Show child attributesHide child attributes
namestring
pathobjectRequired
Show child attributesHide child attributes
urlstring
model_versionobjectRequired
Show child attributesHide child attributes
namestring
versionstring
external_metadataobjectRequired
Show child attributesHide child attributes
namestring
columnsarray of object

List of column relationships between source and target objects.

Show child attributesHide child attributes
sourcestring
targetstring
propertiesobject

Key-value properties associated with the external lineage relationship.

List External Lineage Relationships Public Preview

GET /api/2.0/lineage-tracking/external-lineage

Lists external lineage relationships of a <Databricks> object or external metadata given a supplied direction.

API scopes: unity-catalog

Parameters

object_infoobjectquery

The object to query external lineage relationships for. Since this field is a query parameter, please flatten the nested fields. For example, if the object is a table, the query parameter should look like: object_info.table.name=main.sales.customers

Show child attributesHide child attributes
tableobjectRequired
Show child attributesHide child attributes
namestring
pathobjectRequired
Show child attributesHide child attributes
urlstring
model_versionobjectRequired
Show child attributesHide child attributes
namestring
versionstring
external_metadataobjectRequired
Show child attributesHide child attributes
namestring
lineage_directionstringquery

The lineage direction to filter on.

Values: LINEAGE_DIRECTION_UNSPECIFIED, UPSTREAM, DOWNSTREAM

page_sizeint32query

Specifies the maximum number of external lineage relationships to return in a single response. The value must be less than or equal to 1000.

page_tokenstringquery

Opaque pagination token to go to next page based on previous query.

Response

external_lineage_relationshipsarray of object
Show child attributesHide child attributes
table_infoobject

Information about the table involved in the lineage relationship.

Show child attributesHide child attributes
namestring

Name of Table.

catalog_namestring

Name of Catalog.

schema_namestring

Name of Schema.

event_timestring

Timestamp of the lineage event.

file_infoobject

Information about the file involved in the lineage relationship.

Show child attributesHide child attributes
pathstring

URL of the path.

securable_namestring

The full name of the securable on the path.

storage_locationstring

The storage location associated with securable on the path.

securable_typestring

The securable type of the securable on the path.

event_timestring

Timestamp of the lineage event.

model_infoobject

Information about the model version involved in the lineage relationship.

Show child attributesHide child attributes
model_namestring

Name of the model.

versionint64

Version number of the model.

event_timestring

Timestamp of the lineage event.

external_metadata_infoobject

Information about external metadata involved in the lineage relationship.

Show child attributesHide child attributes
namestring

Name of the external metadata object.

system_typestring

Type of external system.

Values: SYSTEM_TYPE_UNSPECIFIED, OTHER, TABLEAU, POWER_BI, LOOKER, KAFKA, SAP, ORACLE, SALESFORCE, WORKDAY, MYSQL, POSTGRESQL, MICROSOFT_SQL_SERVER, SERVICENOW, AMAZON_REDSHIFT, AZURE_SYNAPSE, SNOWFLAKE, GOOGLE_BIGQUERY, MICROSOFT_FABRIC, MONGODB, TERADATA, CONFLUENT, DATABRICKS, STREAM_NATIVE

entity_typestring

Type of entity represented by the external metadata object.

event_timestring

Timestamp of the lineage event.

external_lineage_infoobject

Information about the edge metadata of the external lineage relationship.

Show child attributesHide child attributes
idstring

Unique identifier of the external lineage relationship.

Example: 12345678-abcd-4ef5-9012-3456789abcdf

sourceobject

Source object of the external lineage relationship.

Show child attributesHide child attributes
tableobjectRequired
pathobjectRequired
model_versionobjectRequired
external_metadataobjectRequired
targetobject

Target object of the external lineage relationship.

Show child attributesHide child attributes
tableobjectRequired
pathobjectRequired
model_versionobjectRequired
external_metadataobjectRequired
columnsarray of object

List of column relationships between source and target objects.

Show child attributesHide child attributes
sourcestring
targetstring
propertiesobject

Key-value properties associated with the external lineage relationship.

next_page_tokenstring

Update External Lineage Relationship Public Preview

PATCH /api/2.0/lineage-tracking/external-lineage

Updates an external lineage relationship between a <Databricks> or external metadata object and another external metadata object.

API scopes: unity-catalog

Parameters

update_maskstringquery

Request body

external_lineage_relationshipobject
Show child attributesHide child attributes
idstring

Unique identifier of the external lineage relationship.

Example: 12345678-abcd-4ef5-9012-3456789abcdf

sourceobject

Source object of the external lineage relationship.

Show child attributesHide child attributes
tableobjectRequired
Show child attributesHide child attributes
namestring
pathobjectRequired
Show child attributesHide child attributes
urlstring
model_versionobjectRequired
Show child attributesHide child attributes
namestring
versionstring
external_metadataobjectRequired
Show child attributesHide child attributes
namestring
targetobject

Target object of the external lineage relationship.

Show child attributesHide child attributes
tableobjectRequired
Show child attributesHide child attributes
namestring
pathobjectRequired
Show child attributesHide child attributes
urlstring
model_versionobjectRequired
Show child attributesHide child attributes
namestring
versionstring
external_metadataobjectRequired
Show child attributesHide child attributes
namestring
columnsarray of object

List of column relationships between source and target objects.

Show child attributesHide child attributes
sourcestring
targetstring
propertiesobject

Key-value properties associated with the external lineage relationship.

Response

idstring

Unique identifier of the external lineage relationship.

Example: 12345678-abcd-4ef5-9012-3456789abcdf

sourceobject

Source object of the external lineage relationship.

Show child attributesHide child attributes
tableobjectRequired
Show child attributesHide child attributes
namestring
pathobjectRequired
Show child attributesHide child attributes
urlstring
model_versionobjectRequired
Show child attributesHide child attributes
namestring
versionstring
external_metadataobjectRequired
Show child attributesHide child attributes
namestring
targetobject

Target object of the external lineage relationship.

Show child attributesHide child attributes
tableobjectRequired
Show child attributesHide child attributes
namestring
pathobjectRequired
Show child attributesHide child attributes
urlstring
model_versionobjectRequired
Show child attributesHide child attributes
namestring
versionstring
external_metadataobjectRequired
Show child attributesHide child attributes
namestring
columnsarray of object

List of column relationships between source and target objects.

Show child attributesHide child attributes
sourcestring
targetstring
propertiesobject

Key-value properties associated with the external lineage relationship.